org.apache.cassandra.thrift

## Interface TServerFactory

- All Known Implementing Classes:
    CustomTNonBlockingServer.Factory, CustomTThreadPoolServer.Factory, THsHaDisruptorServer.Factory, TServerCustomFactory

      public interface TServerFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TServerFactory.Args`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.thrift.server.TServer` | `buildTServer(TServerFactory.Args args)`

- - ### Method Detail

    - #### buildTServer

          org.apache.thrift.server.TServer buildTServer(TServerFactory.Args args)

Copyright © 2018 The Apache Software Foundation